#pragma once
#include <map>
struct M_ActivityKingCraftLotteryData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//道具ID
	int mItemID;
	//道具数量
	int mItemCount;
};

class M_ActivityKingCraftLottery
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftLotteryData* GetData(int ID);
	const std::map<int, M_ActivityKingCraftLotteryData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityKingCraftLottery* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityKingCraftLotteryData> mMapData;
};
